<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="43826afe-0d3b-4bdc-b7b6-e241592086c6" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneAndroid/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../../ExampleOne/ExampleOneAndroid/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneAndroid/exampleone/build.gradle" beforeDir="false" afterPath="$PROJECT_DIR$/../../ExampleOne/ExampleOneAndroid/exampleone/build.gradle" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneIOS/ExampleOne.xcodeproj/project.pbxproj" beforeDir="false" afterPath="$PROJECT_DIR$/../../ExampleOne/ExampleOneIOS/ExampleOne.xcodeproj/project.pbxproj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneIOS/ExampleOne.xcodeproj/project.xcworkspace/xcuserdata/gabriel.steinkirch.xcuserdatad/UserInterfaceState.xcuserstate" beforeDir="false" afterPath="$PROJECT_DIR$/../../ExampleOne/ExampleOneIOS/ExampleOne.xcodeproj/project.xcworkspace/xcuserdata/gabriel.steinkirch.xcuserdatad/UserInterfaceState.xcuserstate" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/.idea/.idea.ExampleOneUnity/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/.idea/.idea.ExampleOneUnity/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/ExampleOne.cs" beforeDir="false" afterPath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/ExampleOne.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/ExampleOne.h" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/ExampleOne.h.meta" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/ExampleOne.m" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/ExampleOne.m.meta" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/SimpleToast.h" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/SimpleToast.h.meta" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/SimpleToast.m" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../ExampleOne/ExampleOneUnity/Assets/Plugins/iOS/SimpleToast.m.meta" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../ExampleTwoAndroid/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../ExampleTwoAndroid/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../ExampleTwoIOS/ExampleTwo.xcodeproj/project.pbxproj" beforeDir="false" afterPath="$PROJECT_DIR$/../ExampleTwoIOS/ExampleTwo.xcodeproj/project.pbxproj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../ExampleTwoIOS/ExampleTwo.xcodeproj/project.xcworkspace/xcuserdata/gabriel.steinkirch.xcuserdatad/UserInterfaceState.xcuserstate" beforeDir="false" afterPath="$PROJECT_DIR$/../ExampleTwoIOS/ExampleTwo.xcodeproj/project.xcworkspace/xcuserdata/gabriel.steinkirch.xcuserdatad/UserInterfaceState.xcuserstate" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../ExampleTwoIOS/ExampleTwo/ExampleTwo.m" beforeDir="false" afterPath="$PROJECT_DIR$/../ExampleTwoIOS/ExampleTwo/ExampleTwo.m" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/.idea.ExampleTwoUnity/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/.idea.ExampleTwoUnity/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/ExampleTwo.cs" beforeDir="false" afterPath="$PROJECT_DIR$/Assets/ExampleTwo.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/ExampleTwoNativeCallEditor.cs" beforeDir="false" afterPath="$PROJECT_DIR$/Assets/ExampleTwoNativeCallEditor.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/Plugins/Android/libExampleTwo.aar" beforeDir="false" afterPath="$PROJECT_DIR$/Assets/Plugins/Android/libExampleTwo.aar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/Plugins/iOS/ExampleTwo.h" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/Plugins/iOS/ExampleTwo.h.meta" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/Plugins/iOS/ExampleTwo.m" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/Plugins/iOS/ExampleTwo.m.meta" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../Slides/presentation.pptx" beforeDir="false" afterPath="$PROJECT_DIR$/../../Slides/presentation.pptx" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1697477158">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="4" />
          <entry key="project.open.time.0" value="4" />
          <entry key="project.opened" value="4" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="cs" value="11" />
          <entry key="unity" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="C#" value="11" />
          <entry key="PLAIN_TEXT" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="cs" value="796" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="C#" value="796" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/IExampleTwoNativeCall.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <folding>
                <marker date="1552841114074" expanded="true" signature="38:111" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCallAndroid.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="198">
              <caret line="9" column="1" lean-forward="true" selection-start-line="9" selection-start-column="1" selection-end-line="9" selection-end-column="1" />
              <folding>
                <marker date="1552923197911" expanded="true" signature="77:319" ph="{...}" />
                <marker date="1552923197911" expanded="true" signature="154:317" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCallEditor.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="154">
              <caret line="7" column="42" selection-start-line="7" selection-start-column="24" selection-end-line="7" selection-end-column="42" />
              <folding>
                <marker date="1552932871734" expanded="true" signature="76:299" ph="{...}" />
                <marker date="1552932871734" expanded="true" signature="153:297" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCalliOS.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="198">
              <caret line="9" column="23" selection-start-line="9" selection-start-column="8" selection-end-line="9" selection-end-column="23" />
              <folding>
                <marker date="1552841099446" expanded="true" signature="92:351" ph="{...}" />
                <marker date="1552841099446" expanded="true" signature="293:349" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/ExampleTwo.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="374">
              <caret line="22" column="40" selection-start-line="22" selection-start-column="31" selection-end-line="22" selection-end-column="40" />
              <folding>
                <marker date="1552991180141" expanded="true" signature="59:794" ph="{...}" />
                <marker date="1552991180141" expanded="true" signature="195:442" ph="{...}" />
                <marker date="1552991180141" expanded="true" signature="468:559" ph="{...}" />
                <marker date="1552991180141" expanded="true" signature="606:792" ph="{...}" />
                <marker date="1552991180141" expanded="true" signature="633:697" ph="{...}" />
                <marker date="1552991180141" expanded="true" signature="725:789" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <replaceStrings>
      <replace>exampleTwo</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCallEditor.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCallAndroid.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/IExampleTwoNativeCall.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCalliOS.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/ExampleTwo.cs" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Assets/IExampleTwoNativeCall.cs" />
        <option value="$PROJECT_DIR$/Assets/ExampleTwoNativeCallAndroid.cs" />
        <option value="$PROJECT_DIR$/Assets/ExampleTwoNativeCallEditor.cs" />
        <option value="$PROJECT_DIR$/Assets/ExampleTwo.cs" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="53" />
    <option name="width" value="1680" />
    <option name="height" value="969" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator currentView="UnityExplorer" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="FileSystemExplorer" />
      <pane id="SolutionExplorer">
        <option name="show-all-files" value="false" />
      </pane>
      <pane id="UnityExplorer">
        <subPane>
          <expand>
            <path>
              <item name="Project" type="e068e287:UnityExplorerRootNode" />
              <item name="Assets" type="48f920db:UnityExplorerNode$AssetsRoot" />
            </path>
            <path>
              <item name="Project" type="e068e287:UnityExplorerRootNode" />
              <item name="Packages" type="4e2708dd:PackagesRoot" />
            </path>
          </expand>
          <select />
        </subPane>
        <option name="show-hidden-items" value="false" />
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="Rider.DefaultBreakpoints.AreToggled" value="true" />
    <property name="Rider.ProjectViewActivator.IsNotFirstRun" value="true" />
    <property name="SearchEverywhereHistoryKey" value="example&#9;null&#9;null" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.fonts.default" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Attach to Unity Editor.Attach to Unity Editor">
    <configuration name="Attach to Unity Editor &amp; Play" type="UNITY_DEBUG_RUN_CONFIGURATION" factoryName="UNITY_ATTACH_AND_PLAY" show_console_on_std_err="false" show_console_on_std_out="false" port="50000" address="localhost">
      <option name="listenPortForConnections" value="false" />
      <option name="pid" />
      <method v="2" />
    </configuration>
    <configuration name="Attach to Unity Editor" type="UNITY_DEBUG_RUN_CONFIGURATION" factoryName="Unity Debug" show_console_on_std_err="false" show_console_on_std_out="false" port="50000" address="localhost">
      <option name="listenPortForConnections" value="false" />
      <option name="pid" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Attach to Unity Editor.Attach to Unity Editor" />
      <item itemvalue="Attach to Unity Editor.Attach to Unity Editor &amp; Play" />
    </list>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="43826afe-0d3b-4bdc-b7b6-e241592086c6" name="Default Changelist" comment="" />
      <created>1552652054633</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1552652054633</updated>
      <workItem from="1552652056033" duration="3813000" />
      <workItem from="1552841194378" duration="2000" />
      <workItem from="1552916711030" duration="3156000" />
      <workItem from="1552932954932" duration="2163000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="9134000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1920" height="1118" extended-state="6" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.1485623" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="NuGet" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Docker" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Unity" order="10" weight="0.3290398" />
      <window_info anchor="bottom" id="Database Changes" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Unit Tests" order="12" />
      <window_info anchor="bottom" id="Terminal" order="13" />
      <window_info anchor="bottom" id="Event Log" order="14" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Errors In Solution" order="3" />
      <window_info anchor="right" id="Database" order="4" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="UnityProjectConfiguration" hasMinimizedUI="true" />
  <component name="UnityUnitTestConfiguration" currentTestLauncher="NUnit" />
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" suspend="NONE" type="DotNet Exception Breakpoints">
          <properties exception="System.Threading.ThreadAbortException" displayValue="System.Threading.ThreadAbortException" />
          <option name="timeStamp" value="1" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/Assets/ExampleTwo.unity">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCallEditor.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" column="42" selection-start-line="7" selection-start-column="24" selection-end-line="7" selection-end-column="42" />
          <folding>
            <marker date="1552932871734" expanded="true" signature="76:299" ph="{...}" />
            <marker date="1552932871734" expanded="true" signature="153:297" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/IExampleTwoNativeCall.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <marker date="1552841114074" expanded="true" signature="38:111" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/ExampleTwo.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="22" column="40" selection-start-line="22" selection-start-column="31" selection-end-line="22" selection-end-column="40" />
          <folding>
            <marker date="1552991180141" expanded="true" signature="59:794" ph="{...}" />
            <marker date="1552991180141" expanded="true" signature="195:442" ph="{...}" />
            <marker date="1552991180141" expanded="true" signature="468:559" ph="{...}" />
            <marker date="1552991180141" expanded="true" signature="606:792" ph="{...}" />
            <marker date="1552991180141" expanded="true" signature="633:697" ph="{...}" />
            <marker date="1552991180141" expanded="true" signature="725:789" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCallAndroid.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="9" column="1" lean-forward="true" selection-start-line="9" selection-start-column="1" selection-end-line="9" selection-end-column="1" />
          <folding>
            <marker date="1552923197911" expanded="true" signature="77:319" ph="{...}" />
            <marker date="1552923197911" expanded="true" signature="154:317" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/ExampleTwoNativeCalliOS.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="9" column="23" selection-start-line="9" selection-start-column="8" selection-end-line="9" selection-end-column="23" />
          <folding>
            <marker date="1552841099446" expanded="true" signature="92:351" ph="{...}" />
            <marker date="1552841099446" expanded="true" signature="293:349" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>